declare const configuration: {
    rules: {
        'memoize-component': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"general", {
            ignoreHooks: string[];
        }[], {
            VariableDeclaration(node: import("@typescript-eslint/types/dist/generated/ast-spec").VariableDeclaration): void;
        }>;
    };
    configs: {
        recommended: {
            parser: string;
            parserOptions: {
                sourceType: string;
            };
            rules: {
                '@anshulsanghi/enforce-react-memo/memoize-component': string;
            };
        };
    };
};
export = configuration;
//# sourceMappingURL=index.d.ts.map